// Faan Tone Liu  01/16/02
// Bubble sort

#include <iostream>
using namespace std;

void print_array(const int[],int);
void bubble_sort(int[], int);

int main()
{
    const int maxelements(100);
    int numelements(-1);
    int arr[maxelements];
    int i;

    // Find out how big the array will be
    do {
        cout << "How many elements in your array? ";
        cin >> numelements;
        if (numelements > maxelements)
            cout << "No good, maximum is " << maxelements << endl;
	} while (numelements>maxelements || numelements <= 0);
    // input the values into the array
    for (i=0; i < numelements; i++) {
        cout << "Input number " << i+1 <<  ": ";
        cin >> arr[i];
    }

    print_array(arr, numelements);
    bubble_sort(arr, numelements);
    print_array(arr, numelements);

    return 0;

}

void print_array(const int a[], int len)
{
    for (int i=0; i< len; i++)
        cout << a[i] << "  ";
    cout << endl;
}

// sort the array a in increasing order
void bubble_sort(int a[], int len)
{
    int i, j, temp;

    for (i=0; i < len-1; i++) {
        for (j = 0;j < len - i - 1; j++) {
            if (a[j] > a[j+1]) {
                temp = a[j+1];
                a[j+1] = a[j];
                a[j] = temp;
            }
        }
    }
}

